Subject: Re: Compiling on a SunOS 4.1.3

From: Lee Sang Hwan <[email-masked]>
Date: Mon, 29 May 1995 15:49:22 +0900 (KST)

> 
> 
>  Hello!
> 
>  I've been trying to compile vers. 2.4 unsuccessfully on a SUN SPARC,
>  SunOS 4.1.3. (gcc 2.3.X)
> 
>  I get fatal error msg " couldn't find authuser.o , ftpd.o and so on"
> 
>  The only prog that get compiled is "ckconfig".
> 
>  Does anyone have a compilation FAQ alt. the binairies for the "s41" option?
> 
>  Thanks!
> 
>  Nabil Zary
> 
>                                     (o o)
> +------------------------------oOO--(_)--OOo----------------------------+
> Nabil Zary                                  Tel   :(+46 8) 728 6513 office
> System manager & Medical Stud.                     (+46 8) 82 04 22 home
> 
> Email  : [email-masked]           Fax   :(+46 8) 33 68 26
> Mail to: DSG /MIP                 Visiting adress : Rum 18                    
>          Karolinska Institutet                      Hus 75, NB   
>          S-171 77 Stockholm                         KI-Campus
>          Sweden                                            
> WWW    :http://www.dsg.ki.se/nabil/         Pager : 0746-45 17 86
> +-----------------------------------------------------------------------+
> 
> 

    If cc complains about strunames, typenames, modenames, ... being undefined
    you need to install support/ftp.h as /usr/include/arpa/ftp.h (always make
    a backup of the old ftp.h just in case!) and do the build again.  The new
    ftp.h should be a compatible superset of your existing ftp.h, so you
    shouldn't have problems with this replacement.